Package com.stardog.stark.vocabs

# Class RDFS

java.lang.Object
com.stardog.stark.vocabs.RDFS

public final class RDFS extends Object
Constants for the RDF Schema 1.1 (RDFS)

Since:
  1.0
Version:
  1.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final IRI`
  `CLASS`
  `static final IRI`
  `COMMENT`
  `static final IRI`
  `CONTAINER`
  `static final IRI`
  `CONTAINERMEMBERSHIPPROPERTY`
  `static final IRI`
  `DATATYPE`
  `static final IRI`
  `DOMAIN`
  `static final IRI`
  `ISDEFINEDBY`
  `static final IRI`
  `LABEL`
  `static final IRI`
  `LITERAL`
  `static final IRI`
  `MEMBER`
  `static final String`
  `NAMESPACE`
  The vocabulary namespace URL
  `static final IRI`
  `RANGE`
  `static final IRI`
  `RESOURCE`
  `static final IRI`
  `SEEALSO`
  `static final IRI`
  `SUBCLASSOF`
  `static final IRI`
  `SUBPROPERTYOF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RDFS()`
  No instances

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    The vocabulary namespace URL
    See Also:
      - Constant Field Values

  - ### CLASS

    public static final IRI CLASS

  - ### COMMENT

    public static final IRI COMMENT

  - ### CONTAINER

    public static final IRI CONTAINER

  - ### CONTAINERMEMBERSHIPPROPERTY

    public static final IRI CONTAINERMEMBERSHIPPROPERTY

  - ### DATATYPE

    public static final IRI DATATYPE

  - ### DOMAIN

    public static final IRI DOMAIN

  - ### ISDEFINEDBY

    public static final IRI ISDEFINEDBY

  - ### LABEL

    public static final IRI LABEL

  - ### LITERAL

    public static final IRI LITERAL

  - ### MEMBER

    public static final IRI MEMBER

  - ### RESOURCE

    public static final IRI RESOURCE

  - ### SEEALSO

    public static final IRI SEEALSO

  - ### SUBCLASSOF

    public static final IRI SUBCLASSOF

  - ### SUBPROPERTYOF

    public static final IRI SUBPROPERTYOF

  - ### RANGE

    public static final IRI RANGE

- ## Constructor Details

  - ### RDFS

    public RDFS()
    No instances